/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents the structure of resource type-specific components for steps in the resource creation page.
 * @export
 * @interface ResourceCreationPageDto
 */
export interface ResourceCreationPageDto {
    /**
     * List of Lists containing all the resource type specific components for the steps in the resource creation page.
     * @type {Array<Array<string>>}
     * @memberof ResourceCreationPageDto
     */
    'components'?: Array<Array<string>>;
}

